//
// Created by zx on 22-11-2.
//

#ifndef TRIANGLE_MEASURE_PNP_PNP_H_
#define TRIANGLE_MEASURE_PNP_PNP_H_

#include <opencv2/opencv.hpp>

cv::Point2d pixel2cam ( const cv::Point2d& p, const cv::Mat& K );

class P3d2d
{
 public:
    P3d2d(cv::Mat K);
    ~P3d2d();

    void Calibrate(std::vector<cv::Point3d> pts_3d,std::vector<cv::Point2d> pts_2d);

    std::vector<cv::Point3d> execute(std::vector<cv::Point2d> pts_2d);


 public:
    cv::Mat K_;
    cv::Mat R_;
    cv::Mat t_;
};


#endif //TRIANGLE_MEASURE_PNP_PNP_H_
