//
// Created by zx on 22-11-9.
//

#ifndef TRIANGLE_MEASURE__PARAMETERSSOLVER_H_
#define TRIANGLE_MEASURE__PARAMETERSSOLVER_H_

#include <opencv2/opencv.hpp>

class ParametersSolver
{
 public:
    ParametersSolver();
    ~ParametersSolver();
    void Solve(std::vector<cv::Point2d> ixy,std::vector<cv::Point3d> wpt);

};

class TransformByDiffSolver
{
 public:
    TransformByDiffSolver();
    ~TransformByDiffSolver();

    void Solve(std::vector<cv::Point2d> ixy,std::vector<cv::Point3d> wpt);

};


#endif //TRIANGLE_MEASURE__PARAMETERSSOLVER_H_
