//
// Created by zx on 22-12-18.
//

#ifndef TRIANGLE_MEASURE__CALIBER_H_
#define TRIANGLE_MEASURE__CALIBER_H_
#include "Steger.h"

typedef struct {
  double x;
  double y;
  double z;
}CalibPoint;
class Interpolator
{
 public:
    Interpolator();
    void AddImage(cv::Mat image,double distance);
    cv::Mat Calib3();
    cv::Mat Calib4();

    static std::vector<cv::Point3d> predict3(cv::Mat image,cv::Mat cameraMatrix, cv::Mat distCoeffs,cv::Mat P);
    static std::vector<cv::Point3d> predict4(cv::Mat image,cv::Mat cameraMatrix, cv::Mat distCoeffs,cv::Mat P);
    static cv::Mat undistored_image(cv::Mat image,cv::Mat cameraMatrix, cv::Mat distCoeffs);

 protected:
    std::vector<CalibPoint> samples_;

};


#endif //TRIANGLE_MEASURE__CALIBER_H_
