#pragma once
#include <opencv2/opencv.hpp>

class CSteger
{
public:
	int m_width;
	int m_height;
	unsigned char *m_pData;

	double zita;
	unsigned char vThresh;
	double ftt_max2;

	int h_size;
	int h_N1;

	double *hx, *hy, *hxx, *hyy, *hxy;

public:
	CSteger(int width=0, int height=0);
	~CSteger();
	void Clear();
	void SetSize(int width, int height, unsigned char *pData);
	std::vector<cv::Point2d> StripCenter(cv::Mat image);

	void test(cv::Mat image, cv::Mat& out);

	void SaveImage(char *filename);
	void test(char *filename);
};

